Confirmation process

This article explains the usage of the endpoints relevant for the confirmation process of acceptance certificates.

General information

The basis for the confirmation is the acceptance certificate, which contains assets. In order to start the leasing process for those assets, the acceptance certificate has to be confirmed.

In case there are problems with some or all of the assets in the acceptance certificate, those assets can also be rejected for predefined reasons, for which an optional explanation can be given.

In case for a confirmation, all assets have to either be marked with the acceptance status received or have no acceptance status set. during the confirmation process, assets that have no acceptance status set will be marked as recevied automatically.

For a rejection, all assets need an acceptance status and at least one of the acceptance statuses has to be something other than received. Only the assets that are not in acceptance status received will be rejected.

When an acceptance certificate has been rejected it will enter the confirmation status clearingProcess. In this status the acceptance certificate cannot be confirmed or rejected again. Your rejection will then be reviewed by a CHG employee, after which the acceptance certificate will return to the confirmation status firstConfirmationPending. Then the acceptance certificate can be confirmed or rejected again.

Confirmation process of an acceptance certificate

Confirmation/Rejection steps

For the following example the number 1 in route is the lease company number of the acceptance certificate and 12345 is the acceptance certificate id.

Confirmation

In order to confirm an acceptance certificate, the following steps have to be completed:

  1. Get the first 20 relevant acceptance certificates: GET /v1/leases/acceptanceCertificates?take=20&skip=0&filter=[["confirmationStatus","<>","Confirmed"],"and",["authorizationStatus","=","ready"]]
  2. Get the first 50 related assets of the acceptance certificate including the assets' confirmation and acceptance status: GET /v1/leases/acceptanceCertificates/1/12345/assets?take=50&skip=0 (12345 is your current acceptance certificate number to confirm and 1 is the lease company number of that acceptance certificate)
  3. Verify that all assets are included in your acceptance certificate.
  4. Optional Marking all or some assets in the acceptance certificate with the appropriate acceptance status: PATCH v1/leases/acceptanceCertificates/1/12345/assets with the body: [{"assetId": 111, "acceptanceStatus": "other", "explanation": "Provide your reason description"}, {"assetId": 222, "acceptanceStatus": "other"}]
  5. Confirm the acceptance certificate if all assets are ok: POST /v1/leases/acceptanceCertificates/1/12345/confirmation

Rejection

In order to reject an acceptance certificate, the following steps have to be completed:

  1. Get the first 20 relevant acceptance certificates: GET /v1/leases/acceptanceCertificates?take=20&skip=0&filter=[["confirmationStatus","<>","Confirmed"],"and",["authorizationStatus","=","ready"]]
  2. Get the first 50 related assets of the acceptance certificate including the assets' confirmation and acceptance status: GET /v1/leases/acceptanceCertificates/1/12345/assets?take=50&skip=0 (12345 is your current acceptance certificate number to or reject and 1 is the lease company number of that acceptance certificate)
  3. Verify that all assets are included in your acceptance certificate.
  4. Mark all assets in the acceptance certificate with the appropriate acceptance status and optionally provide an explanation. PATCH /v1/leases/acceptanceCertificates/1/12345/assets with the body: [{"assetId": 111, "acceptanceStatus": "other", "explanation": "Provide your reason description"}, {"assetId": 222, "acceptanceStatus": "other"}]
  5. Reject the acceptance certificate if any one of the assets has been marked with a status other than received: POST /v1/leases/acceptanceCertificates/1/12345/rejection

Note:

The user behind the given access token must be activated for the given confirmation process. This mus be done in coordination with CHG-Merdian.